curl --request PUT \
--url https://app.apigene.ai/api/context/{context_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"apps": [],
"summary": "",
"when_to_use": "",
"type": "",
"status": "active"
}
'import requests
url = "https://app.apigene.ai/api/context/{context_id}"
payload = {
"name": "<string>",
"description": "<string>",
"apps": [],
"summary": "",
"when_to_use": "",
"type": "",
"status": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
apps: [],
summary: '',
when_to_use: '',
type: '',
status: 'active'
})
};
fetch('https://app.apigene.ai/api/context/{context_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"apps": [],
"summary": "",
"when_to_use": "",
"type": "",
"status": "active"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Context Update
Endpoint to update an existing context by its ID.
Args: context_id (str): The unique identifier of the context to update. context_update (ContextCreate): The updated context data.
Returns: Context: The updated context object.
Raises: HTTPException 400: If input validation fails HTTPException 404: If the context with the given ID does not exist. HTTPException 500: If a runtime error occurs during the update process.
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Path Parameters
Body
Name of the context
Description of the context
List of associated apps
A short summary about the context
A short summary explaining to LLM when to apply the context
A string to classify the context type
Status of the context: active or disabled
Response
Successful Response
Unique identifier for the context
Name of the context
Description of the context
User who created the context
The date and time when the context was created.
The date and time when the context was last updated.
List of associated apps
A short summary about the context
A short summary explaining to LLM when to apply the context
A string to classify the context type
Status of the context: active or disabled
